## statusengine 2.2.2

=== Makefile ===
%:
	cd statusengine && $(MAKE) $@

=== statusengine/Makefile ===
%:
	cd src && $(MAKE) $@

=== statusengine/src/Makefile ===
all: bin/nagios/statusengine.o bin/naemon/statusengine.o bin/naemon/statusengine-1-0-5.o

bin/nagios/statusengine.o: statusengine.c
	mkdir -p bin/nagios
	LANG=C gcc -DNAGIOS -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c

bin/naemon/statusengine.o: statusengine.c
	mkdir -p bin/naemon
	LANG=C gcc -DNAEMON -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c


bin/naemon/statusengine-1-0-5.o: statusengine.c
	mkdir -p bin/naemon
	LANG=C gcc -DNAEMON105 -shared -o "$@" -fPIC  -Wall -Werror statusengine.c -luuid -levent -lgearman -ljson-c -lglib-2.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -lglib-2.0

clean:
	rm -f statusengine.o

=== debian/changelog ===
statusengine (2.2.2-1ubuntu18.04) bionic; urgency=medium

  * Automatic build base on the state in git as of Thu Oct 17 14:40:59
    CEST 2019.

 -- Daniel Ziegler <daniel@openitcockpit.org>  Thu, 17 Oct 2019 14:40:59 +0200

statusengine (2.2.2-1) bionic; urgency=medium

  * stable release 2.2.2

 -- Daniel Ziegler <daniel.ziegler@it-novum.com> Thu, 26 Sep 2019 15:31:23 +0200

statusengine (2.2.1-1) bionic; urgency=medium

  * stable release 2.2.1

 -- Daniel Ziegler <daniel.ziegler@it-novum.com> Wed, 16 Jan 2019 08:38:10 +0100

statusengine (2.1.5-4) bionic; urgency=medium

  * stable release 2.1.5

 -- Daniel Ziegler <daniel.ziegler@it-novum.com> Fri, 07 Dec 2018 09:33:02 +0100

statusengine (2.1.5-3) bionic; urgency=medium

  * stable release 2.1.5

 -- Daniel Ziegler <daniel.ziegler@it-novum.com> Mon, 2 Jul 2018 10:00:00 +0100

statusengine (2.1.5-2) bionic; urgency=medium

  * stable release 2.1.5

  -- Daniel Ziegler <daniel.ziegler@it-novum.com> Mon, 18 Jun 2018 10:00:00 +0100

=== debian/control ===
Source: statusengine
Section: network
Priority: optional
Maintainer: it-novum <community@openitcockpit.org>
Build-Depends: debhelper (>= 9), uuid-dev, libgearman-dev, libjson-c-dev, libglib2.0-dev
Standards-Version: 3.9.6
Homepage: http://statuengine.org

Package: openitcockpit-statusengine-naemon
Architecture: any
Depends: openitcockpit-mysql, openitcockpit-naemon, openitcockpit-common, php-cli, gearman-job-server, php-gearman, php-rrd, 
 php-json, uuid-dev, libgearman-dev, libjson-c-dev, libglib2.0-dev, base-files
Recommends: gearman-tools
Conflicts: openitcockpit-ndoutils, openitcockpit-nagios-sat, openitcockpit-statusengine-broker-sat-nagios, phpnsta-client
Replaces: openitcockpit-ndoutils
Description: statusengine for naemon + oitc
 statusengine for naemon + oitc

Package: openitcockpit-statusengine-nagios
Architecture: any
Depends: openitcockpit-mysql, openitcockpit-nagios, openitcockpit-common, php-cli, gearman-job-server, php-gearman, php-rrd, 
 php-json, base-files, uuid-dev, libgearman-dev, libjson-c-dev, libglib2.0-dev
Recommends: gearman-tools
Conflicts: openitcockpit-nagios-sat, openitcockpit-statusengine-broker-sat-nagios, phpnsta-client
Replaces: openitcockpit-ndoutils
Description: statusengine for nagios + oitc
 statusengine for nagios + oitc

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_clean:
	rm -rf statusengine/src/bin/
	dh_auto_clean

override_dh_auto_build:
	make all

override_dh_install:
	dh_install
	rm -f debian/openitcockpit-statusengine-naemon/opt/statusengine/app/Config/database.php
	rm -f debian/openitcockpit-statusengine-nagios/opt/statusengine/app/Config/database.php
